//+------------------------------------------------------------------+
//|                                     FXA0 - CCI Majoro ver1.0.mq4 |
//|                            Copyright  2007 Adam J. Richter M.S. |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007 Adam J. Richter M.S."
#property link      ""

//---- input parameters
extern double    tp=9.0;
extern double    lots=0.1;
extern double    sl=6.0;
extern bool      reverse=false;

int MyType=NULL;
int MagicNumber = 777777;
int LastType=0;
int OpenOrders=0;
int LastTicket=0;
int cnt=0;
int ticket=0;

double target=0;
double stop=0;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   OpenOrders=0; LastType=0; LastTicket=0;
   
   for(cnt=0;cnt<OrdersTotal();cnt++)
   {
      OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);
      if (OrderSymbol()==Symbol() && OrderMagicNumber()==MagicNumber) 
      {                 
          OpenOrders ++; 
          if(OrderTicket()>LastTicket)
          {
               LastTicket = OrderTicket();
               if (OrderType()==OP_BUY) { LastType=1; }
               if (OrderType()==OP_SELL) { LastType=2; }
          }   
       }
   }   
  
  // Print ("Last 1: " + iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,0,1) + "  Last 2: " + iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,1,1));
   //Print ("Current 1: " + iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,0,0) + "  Current 2: " + iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,1,0));
   MyType=0;
   if(iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,0,1)<iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,1,1))
   {
      if(iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,0,0)>iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,1,0))
      {
         if(OpenOrders==0)
         {         
            if(reverse) { ticket=OrderSend(Symbol(),OP_SELL,lots,Bid,2,(Bid+sl*Point),(Bid-tp*Point),"CCI Majoro Long Reversed to Short Order",MagicNumber,0,Red); }
            else { ticket=OrderSend(Symbol(),OP_BUY,lots,Ask,2,(Ask-sl*Point),(Ask+tp*Point),"CCI Majoro Long Order",MagicNumber,0,Blue); }
               
            if(ticket>0) { if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("CCI Majoro Long Order: ",OrderOpenPrice()); }
            else Print("Error opening CCI Majoro Long Order: ",GetLastError());
            return(0);
         }
      }
   }
   
   if(iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,0,1)>iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,1,1))
   {
      if(iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,0,0)<iCustom(NULL,0,"FXA0 - CCI Majoro ver1 IND",0,1,0))
      {
         if(OpenOrders==0)
         {
            if(reverse) { ticket=OrderSend(Symbol(),OP_BUY,lots,Ask,2,(Ask-sl*Point),(Ask+tp*Point),"CCI Majoro Short Order Reversed to Long",MagicNumber,0,Blue); }
            else { ticket=OrderSend(Symbol(),OP_SELL,lots,Bid,2,(Bid+sl*Point),(Bid-tp*Point),"CCI Majoro Short Order",MagicNumber,0,Red); }
            if(ticket>0) { if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("CCI Majoro Short Order: ",OrderOpenPrice()); }
            else Print("Error opening CCI Majoro Short Order: ",GetLastError());
            return(0);
         }
      }
   }
   

   
//----
   return(0);
  }
//+------------------------------------------------------------------+

